summaryrefslogtreecommitdiff
path: root/sys-boot
diff options
context:
space:
mode:
authorMichael L <mike@michaellawrenceit.com>2018-05-11 14:54:01 +0000
committerGhiunhan Mamut <V3n3RiX@users.noreply.github.com>2018-05-11 15:54:01 +0100
commit3a572cb52058199f0e9d378714048abc706605f7 (patch)
treeda5aa8d19aae71bb51d4291dd12466f79e68ca9d /sys-boot
parent7facb7c536d2260b667576bd1fa2182f0874977d (diff)
Create etcher-1.4.4.ebuild (#3)
Diffstat (limited to 'sys-boot')
-rw-r--r--sys-boot/etcher/etcher-1.4.4.ebuild39
1 files changed, 39 insertions, 0 deletions
diff --git a/sys-boot/etcher/etcher-1.4.4.ebuild b/sys-boot/etcher/etcher-1.4.4.ebuild
new file mode 100644
index 00000000..f957dd33
--- /dev/null
+++ b/sys-boot/etcher/etcher-1.4.4.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit eutils unpacker
+
+DESCRIPTION="Flash OS images to SD cards & USB drives, safely and easily."
+HOMEPAGE="https://etcher.io/"
+SRC_URI="https://github.com/resin-io/${PN}/releases/download/v${PV}/${PN}-electron_${PV}_amd64.deb"
+
+LICENSE="GPL2"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE=""
+
+DEPEND="dev-libs/nss
+ gnome-base/gconf
+ media-libs/alsa-lib
+ sys-apps/lsb-release
+ x11-libs/gtk+:2
+ x11-libs/libXtst
+ x11-libs/libnotify"
+RDEPEND="${DEPEND}"
+
+RESTRICT="mirror"
+
+S="${WORKDIR}"
+
+src_unpack() {
+ unpack_deb ${A}
+}
+
+src_install() {
+ mv * "${D}" || die
+ sed -i "s/Utility/System/g" "${D}"usr/share/applications/"${PN}"-electron.desktop
+ fperms 0755 /opt/Etcher/"${PN}"-electron || die
+}